Bug 178942 - dns-keygen returns non-zero exit status on ia64
dns-keygen returns non-zero exit status on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-01-25 12:13 EST by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0711
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 11:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-01-25 12:13:06 EST
Description of problem:

Only on the ia64 platform, dns-keygen, a Red Hat utility to generate a new
hmac-md5 TSIG key, always returns a non-zero exit status. This does not occur
on the i386 or x86_64 or ppc64 platforms - weird.

[root@nec-tx7-1 tmp]# uname -a
Linux nec-tx7-1.lab.boston.redhat.com 2.6.9-27.EL #1 SMP Tue Dec 20 19:13:51 EST
2005 ia64 ia64 ia64 GNU/Linux
[root@nec-tx7-1 tmp]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 4 (Nahant Update 3)
[root@nec-tx7-1 tmp]# rpm -q bind
bind-9.2.4-2
[root@nec-tx7-1 tmp]# dns-keygen
YR1canqSTkM4MgewLQFnyDd68tY0Bu6G3w7K1Sbd3ytq2fxp9mzRVSwFYjaE
[root@nec-tx7-1 tmp]# echo $?
1

[root@ibm-x326 ~]# uname -a
Linux ibm-x326.lab.boston.redhat.com 2.6.16-rc1-1M #1 SMP Tue Jan 24 14:56:04
EST 2006 x86_64 x86_64 x86_64 GNU/Linux
[root@ibm-x326 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 4 (Nahant Update 3)
[root@ibm-x326 ~]# rpm -q bind
bind-9.2.4-2
[root@ibm-x326 ~]# dns-keygen
8BN14664efUrNdSiDv4h7gsGEdmSIefd8Wdmup1AEq4d5pbBL9fteMJzO29a
[root@ibm-x326 ~]# echo $?
0

dns-keygen is used during installation of the bind RPM to generate the rndc
key, and by the system-config-bind package. Luckily, the RPM installation
does not check the dns-keygen return status, but system-config-bind does,
so this bug disables system-config-bind key generation on the ia64 .


Version-Release number of selected component (if applicable):
bind-9.2.4-2

How reproducible:
100%

Steps to Reproduce:
See above
Comment 1 Jason Vas Dias 2006-01-27 11:21:26 EST
keygen.c was not returning any defined exit status - it now does.
Comment 2 RHEL Product and Program Management 2006-08-18 12:45:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Red Hat Bugzilla 2006-11-03 11:15:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0711.html

Note You need to log in before you can comment on or make changes to this bug.